local Addon_Name, bc = ... 

SLASH_COLORENCODE1 = '/raidrolls';
SLASH_COLORENCODE2 = '/rr';
SlashCmdList["COLORENCODE"] = function(msg, editbox)
    local command, arg1 = strsplit(" ", msg)
    
    if (command == "") then
        print("Cmds: show, hide, help, reset.")
    
    elseif command == "show" then
        bc.show(true)
    
    elseif command == "hide" then
        bc.show(false)
    
    elseif command == "help" then
        RaidRolls_Help()
        
    elseif command == "reset" then
        bc.reset()
    
    elseif command == "resize" then
        RaidRolls_Resize(arg1)
    
    end
end


function RaidRolls_Help()
    print(GetAddOnMetadata("RaidRolls", "Title") .. " v" .. GetAddOnMetadata("RaidRolls", "Version") .. ".");
    print("Slash Commands '/raidrolls' (or '/rr'):")
    print("  none - Commands list.")
    print("  'show'/'hide' - Show/Hide GUI.")
    print("  'help' - Uroboros!")
    print("  'reset' - Erace all rolls.")
    print("  'resize <number>' - Move right column by <number> points relative to default.")
    print("  'resize' - Reset right colunm position.")
end


function RaidRolls_Resize(offset)
    if (offset == nil) then
        offset = 0
    end
    
    RaidRolls_MainFrame_Roll:SetPoint("TOPLEFT", "$parent_Player", "TOPRIGHT", 35 + offset, 0)
    RaidRolls_MainFrame:SetWidth(200 + offset)
end
